import board, busio, displayio, os
import terminalio
from adafruit_st7789 import ST7789
from adafruit_display_text import label

displayio.release_displays()
clk_pin, mosi_pin, reset_pin, dc_pin, cs_pin = board.GP2, board.GP3, board.GP6, board.GP7, board.GP5

displayio.release_displays()  # Release any resources
spi = busio.SPI(clock=clk_pin, MOSI=mosi_pin)  # SPI0BUS PIN
display_bus = displayio.FourWire(
    spi, command=dc_pin, chip_select=cs_pin, reset=reset_pin) # other PIN
display = ST7789(display_bus, width=240, height=320)

# Setup the file as the bitmap data source
bitmap = displayio.OnDiskBitmap("/MagazineIO.bmp")

# Create a TileGrid to hold the bitmap
tile_grid = displayio.TileGrid(bitmap, pixel_shader=bitmap.pixel_shader)

# Create a Group to hold the TileGrid
group = displayio.Group()

# Add the TileGrid to the Group
group.append(tile_grid)

# Add the Group to the Display
display.root_group = group

# Loop forever so you can enjoy your image
while True:
    pass