import board, busio, displayio, os, time
from adafruit_st7789 import ST7789
from adafruit_display_shapes.rect import Rect
from adafruit_display_shapes.circle import Circle
from adafruit_display_shapes.line import Line
from adafruit_display_shapes.triangle import Triangle
WIDTH=240
HEIGHT=320
displayio.release_displays()
clk_pin, mosi_pin, reset_pin, dc_pin, cs_pin = board.GP2, board.GP3, board.GP6, board.GP7, board.GP5

displayio.release_displays()  # Release any resources
spi = busio.SPI(clock=clk_pin, MOSI=mosi_pin)  # SPI0BUS PIN
display_bus = displayio.FourWire(
    spi, command=dc_pin, chip_select=cs_pin, reset=reset_pin) # other PIN
display = ST7789(display_bus, width=WIDTH, height=HEIGHT)

# Make the display context
splash = displayio.Group()
display.root_group=splash

rect = Rect(150, 30, 70, 100, fill=None,outline=0x00FF00)
circle = Circle(70, 80, 40,fill=None ,outline=0xFF00FF)
triangle = Triangle(150, 160, 150,260, 220, 210, fill=None, outline=0xFF0000)
line1=Line(120,160,30,260,0x0000FF)
line2=Line(30,160,120,260,0x0000FF)

splash.append(rect)
time.sleep(1)
splash.append(circle)
time.sleep(1)
splash.append(triangle)
time.sleep(1)
splash.append(line1)
time.sleep(1)
splash.append(line2)
time.sleep(1)
while True:
    pass